#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-KwvN7lb3gJaLrkDIi7X2ku
key:                  ghcide-2.0.0.0-KwvN7lb3gJaLrkDIi7X2ku
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  a9f39e0642e2474632fdc94911154ca2
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-KwvN7lb3gJaLrkDIi7X2ku
depends:
    Diff-0.4.1-A0Ly9QApOE3KNnm5g5CvDv
    Glob-0.10.2-FQSkuNjiRyFKcRNXpTnK7D
    aeson-2.1.2.1-9M5l2yPk4oB5YsVP5y28hb
    aeson-pretty-0.8.10-I9uSgkvp4ANKj5wG0AKpef array-0.5.4.0
    async-2.2.5-63qhz2egf712xrTPAnr2Zj base-4.17.2.1
    base16-bytestring-1.0.2.0-Ka6VDDvAvsEKzI57WP0six binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    co-log-core-0.3.2.5-J2pzxFt721aFYDUYw1FEiB containers-0.6.7
    cryptohash-sha1-0.11.101.0-LtFib6VITXIBIgaKDGxfTN
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-L0qUDSobDAr5X9LpD3gk8b
    dependent-sum-0.7.2.0-Ao9nz2He1942JUA3qquuUi directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-GLvbl3FJRAs7FDo0i4QnVx exceptions-0.10.5
    extra-1.7.16-GZHPv6uasHcDSjqdYlHBVO filepath-1.4.2.2
    fingertree-0.1.5.0-3NW2RxtDBiAGzX9YTHOInM
    focus-1.0.3.2-Geq6ieydvPS7gOvd36PaAJ ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-m1rmhtW06nEBB8JTs7IFQ
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-JphmaQ5k6PoK50yrUPg13F
    hashable-1.4.4.0-9MfualSpDNWnshBkTCGL2
    hie-bios-0.12.0-BWQlYkXmyM33kMTIaXA9w9
    hie-compat-0.3.1.1-EX7c63LZz6m3PpO1VmTjuM
    hiedb-0.4.3.0-3Wj55ZItLxoGJ4VV2tV3ip
    hls-graph-2.0.0.0-98TPIDI1o1A9EWRICUqoah
    hls-plugin-api-2.0.0.0-5U9H2gSSVcXBv8K33WO0JG
    implicit-hie-0.1.2.7-9OS3ksytPwXHLU3EqPUeNG
    implicit-hie-cradle-0.5.0.1-E6bTqNIAR7i5PbaDG71q1L
    lens-5.2.3-EK2NjO8Egab29TEA8B6Hy5
    list-t-1.0.5.5-H4LPk8R9froF6pv1qzhvZX
    lsp-1.6.0.0-9s88cmcn2UJ8Y4YRhXfCMx
    lsp-types-1.6.0.1-1G2ofO0IHCeEaF61b5HTW0 mtl-2.2.2
    opentelemetry-0.8.0-EdrkD5RUkSQB0LGjoW0eUf
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-DM22ggmNw5yDKuyNmhCbol
    prettyprinter-ansi-terminal-1.1.3-7Arm5GQqhdPGneBs6qw6Rf
    random-1.2.1.2-5fVld2gnCLrE5XXQdXAodw
    regex-tdfa-1.3.2.4-9x7ugeL9FkR1MkOfqAxIED
    safe-exceptions-0.1.7.4-9wzBY0Llz9vFn4SsuxIYLD
    sorted-list-0.2.3.1-5h2xg96L2AS1q4iKbmCY4Z
    sqlite-simple-0.4.19.0-HlOg40xnq6kKIJxXwvPUeB stm-2.5.1.0
    stm-containers-1.2.1.1-61a2YRd98AIItqO1aRIhPt
    syb-0.7.2.4-DRmRuYXhogH1Si3eC7RXHC text-2.0.2
    text-rope-0.3-5NY61BglgsnCzPPTLHGyRA time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-5nG7c6kZJNiLjN1vWYmD3z
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-6j2GAGNbaJu7CXoZ5IjX0N
    vector-0.13.2.0-EmsVweixOBx5SizhJaK3bm

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

